<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>My THR Slip </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_my::sidebar_my" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-money-bill" style="color: #9B7536;"></i>
                    My THR Slip
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h4>
                            <i class="fa fa-globe"></i> THR Slip.
                            <!--              <small class="pull-right" th:text="${#temporals.format(date,'dd-MMM-yyyy')}">Date: 2/10/2014</small>-->

                            <span class="float-end" th:text="${namaBulan.getNamaEnglish()+ ' ' + tahun}">Date: 2/10/2014</span>
                        </h4>
                    </div>
                    <div class="card-body">
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <strong th:text="${employes.getFullName()}">Admin, Inc.</strong>
                                <br>
                                <strong th:text="${companies.getCompanyName()}">Admin, Inc.</strong>
                                <br>
                                <strong th:text="${'Employee ID : '+ employes.getNumber()}">Admin, Inc.</strong>
                                <br>
                                <small th:text="${position}"></small>
                                <br>
                            </div>
                            <div class="col-md-6">
                                <img align="right" width="100px" th:src="@{/icon/logo}">
                            </div>
                        </div>
                        <div class="row mb-3">
                            <div class="col-md-12">
                                <table class="table table-striped">
                                    <tbody>
                                    <tr class="table-primary">
                                        <td class="border-0"><strong>THR Gross :</strong></td>
                                        <td class="border-0" align="right" th:text="${'Rp '+ #numbers.formatDecimal(paySlip.getTotalThr(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row mb-3">
                            <div class="col-md-6 table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th class="border-0 table-primary" colspan="2">Allowance</th>
                                    </tr>
                                    </thead>
                                    <tbody>
<!--                                    <tr th:each="dataAllowance,row : ${allowance}">-->
<!--                                        &lt;!&ndash;                <td>1</td>&ndash;&gt;-->
<!--                                        <td class="border-0" th:text="${dataAllowance.getDeskripsi()}">Call of Duty</td>-->
<!--                                        <td class="border-0" align="right" th:text="${#numbers.formatDecimal(dataAllowance.getNominal(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>-->
<!--                                    </tr>-->
                                    </tbody>
                                </table>
                            </div>
                            <!-- /.col -->
                            <div class="col-md-6 table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th class="border-0 table-primary" colspan="2">Deductions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <!--                <td>1</td>-->
                                        <td class="border-0" th:text="${'Tax'}">Call of Duty</td>
                                        <td class="border-0" align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                            </div>
                            <div class="col-md-6">
                                <p class="lead">Amount</p>

                                <div class="table-responsive">
                                    <table class="table table-striped">
                                        <tr>
                                            <th class="border-0">Infaq</th>
                                            <td class="border-0" align="right" th:text="${#numbers.formatDecimal(0, 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                                        </tr>
                                        <tr>
                                            <th class="border-0">Zakat</th>
                                            <td class="border-0" align="right" th:text="${#numbers.formatDecimal(0, 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                                        </tr>
                                        <tr>
                                            <th class="border-0">Tax</th>
                                            <td class="border-0" align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                                        </tr>
                                        <tr class="table-primary">
                                            <th class="border-0">THR</th>
                                            <td class="border-0" align="right" th:text="${'Rp '+ #numbers.formatDecimal(paySlip.getThrBersih(), 0, 'POINT', 2, 'COMMA')}">$265.24</td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                            <!-- /.col -->
                        </div>

                    </div>
                    <div class="card-footer">
                        <div class="row no-print">
                            <div class="col-md-12">
                                <form method="post" th:action="@{/thr/reports/slip/print}" target="_blank">
                                    <input type="hidden" name="employes" th:value="${employes.getId()}">
                                    <input type="hidden" name="bulan" th:value="${bulan}">
                                    <input type="hidden" name="tahun" th:value="${tahun}">
                                    <input type="submit" class="btn btn-primary" value="Print">
                                </form>
                                <!--            <a th:href="@{/payroll/reports/payslip/print(employes=${employes.getId()}, bulan=${bulan}, tahun=${tahun})}" target="_blank" class="btn btn-default"><i class="fa fa-print"></i> Print</a>-->
                                <!--            <button type="button" class="btn btn-success pull-right"><i class="fa fa-credit-card"></i> Submit Payment-->
                                <!--            </button>-->
                                <!--            <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">-->
                                <!--              <i class="fa fa-download"></i> Generate PDF-->
                                <!--            </button>-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>THR Slip</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        THR Slip-->
<!--        <small></small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Reports</li>-->
<!--        <li class="active"> THR Slip</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->

<!--    <div class="row">-->
<!--        <div class="col-md-9">-->

<!--            <section class="invoice">-->
<!--                &lt;!&ndash; title row &ndash;&gt;-->
<!--                <div class="row">-->
<!--                    <div class="col-xs-12">-->
<!--                        <h2 class="page-header">-->
<!--                            <i class="fa fa-globe"></i> THR Slip.-->
<!--                            &lt;!&ndash;              <small class="pull-right" th:text="${#temporals.format(date,'dd-MMM-yyyy')}">Date: 2/10/2014</small>&ndash;&gt;-->

<!--                            <strong class="pull-right" th:text="${namaBulan.getNamaEnglish()+ ' ' + tahun}">Date: 2/10/2014</strong>-->
<!--                        </h2>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.col &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; info row &ndash;&gt;-->
<!--                <div class="row invoice-info">-->

<!--                    <div class="col-sm-6 invoice-col">-->
<!--                        <address>-->
<!--                            <strong th:text="${employes.getFullName()}">Admin, Inc.</strong>-->
<!--                            <br>-->
<!--                            <strong th:text="${companies.getCompanyName()}">Admin, Inc.</strong>-->
<!--                            <br>-->
<!--                            <strong th:text="${'Employee ID : '+ employes.getNumber()}">Admin, Inc.</strong>-->
<!--                            <br>-->
<!--                            <small th:text="${position}"></small>-->
<!--                            <br>-->
<!--                            &lt;!&ndash;              Email: info@almasaeedstudio.com&ndash;&gt;-->
<!--                        </address>-->
<!--                    </div>-->
<!--                    <div class="col-sm-6 invoice-col" >-->
<!--                        <img align="right" width="100px" src="https://tazkia.ac.id/wp-content/uploads/2019/08/menu1.png">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.col &ndash;&gt;-->

<!--                    &lt;!&ndash; /.col &ndash;&gt;-->
<!--                    &lt;!&ndash; /.col &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.row &ndash;&gt;-->

<!--                &lt;!&ndash; Table row &ndash;&gt;-->

<!--                <div class="row">-->
<!--                    <div class="col-xs-12 table-responsive">-->
<!--                        <table class="table table-striped">-->
<!--                            <tbody>-->
<!--                            <tr>-->
<!--                                <td><strong>THR Gross :</strong></td>-->
<!--                                <td align="right" th:text="${'Rp '+ #numbers.formatDecimal(paySlip.getTotalThr(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>-->
<!--                            </tr>-->
<!--                            </tbody>-->
<!--                        </table>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.col &ndash;&gt;-->
<!--                </div>-->

<!--                <div class="row">-->
<!--                    <div class="col-xs-6 table-responsive">-->
<!--                        <table class="table table-striped">-->
<!--                            <thead>-->
<!--                            <tr>-->
<!--                                <th colspan="2">Allowance</th>-->
<!--                            </tr>-->
<!--                            </thead>-->
<!--                            <tbody>-->
<!--                            &lt;!&ndash;                            <tr th:each="dataAllowance,row : ${allowance}">&ndash;&gt;-->
<!--                            &lt;!&ndash;                                &lt;!&ndash;                <td>1</td>&ndash;&gt;&ndash;&gt;-->
<!--                            &lt;!&ndash;                                <td th:text="${dataAllowance.getDeskripsi()}">Call of Duty</td>&ndash;&gt;-->
<!--                            &lt;!&ndash;                                <td align="right" th:text="${#numbers.formatDecimal(dataAllowance.getNominal(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>&ndash;&gt;-->
<!--                            &lt;!&ndash;                            </tr>&ndash;&gt;-->
<!--                            </tbody>-->
<!--                        </table>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.col &ndash;&gt;-->
<!--                    <div class="col-xs-6 table-responsive">-->
<!--                        <table class="table table-striped">-->
<!--                            <thead>-->
<!--                            <tr>-->
<!--                                <th colspan="2">Deductions</th>-->
<!--                            </tr>-->
<!--                            </thead>-->
<!--                            <tbody>-->
<!--                            <tr>-->
<!--                                &lt;!&ndash;                <td>1</td>&ndash;&gt;-->
<!--                                <td th:text="${'Tax'}">Call of Duty</td>-->
<!--                                <td align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>-->
<!--                            </tr>-->
<!--                            </tbody>-->
<!--                        </table>-->
<!--                    </div>-->
<!--                </div>-->

<!--                <div class="row">-->
<!--                    <div class="col-xs-6 table-responsive">-->
<!--                        <table class="table table-striped">-->
<!--                            <thead>-->
<!--                            <tr>-->
<!--                                <th colspan="2">Benefits</th>-->
<!--                            </tr>-->
<!--                            </thead>-->
<!--                            <tbody>-->
<!--                            &lt;!&ndash;                            <tr th:each="dataBenefit,row : ${benefit}">&ndash;&gt;-->
<!--                            &lt;!&ndash;                                &lt;!&ndash;                <td>1</td>&ndash;&gt;&ndash;&gt;-->
<!--                            &lt;!&ndash;                                <td th:text="${dataBenefit.getDeskripsi()}">Call of Duty</td>&ndash;&gt;-->
<!--                            &lt;!&ndash;                                <td align="right" th:text="${#numbers.formatDecimal(dataBenefit.getNominal(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>&ndash;&gt;-->
<!--                            &lt;!&ndash;                            </tr>&ndash;&gt;-->
<!--                            </tbody>-->
<!--                        </table>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.col &ndash;&gt;-->

<!--                </div>-->
<!--                &lt;!&ndash; /.row &ndash;&gt;-->

<!--                <div class="row">-->
<!--                    &lt;!&ndash; accepted payments column &ndash;&gt;-->
<!--                    <div class="col-xs-6">-->
<!--                        &lt;!&ndash;            <p class="lead">Payment Methods:</p>&ndash;&gt;-->
<!--                        &lt;!&ndash;            <img src="../../dist/img/credit/visa.png" alt="Visa">&ndash;&gt;-->
<!--                        &lt;!&ndash;            <img src="../../dist/img/credit/mastercard.png" alt="Mastercard">&ndash;&gt;-->
<!--                        &lt;!&ndash;            <img src="../../dist/img/credit/american-express.png" alt="American Express">&ndash;&gt;-->
<!--                        &lt;!&ndash;            <img src="../../dist/img/credit/paypal2.png" alt="Paypal">&ndash;&gt;-->

<!--                        &lt;!&ndash;            <p class="text-muted well well-sm no-shadow" style="margin-top: 10px;">&ndash;&gt;-->
<!--                        &lt;!&ndash;              Etsy doostang zoodles disqus groupon greplin oooj voxy zoodles, weebly ning heekya handango imeem plugg&ndash;&gt;-->
<!--                        &lt;!&ndash;              dopplr jibjab, movity jajah plickers sifteo edmodo ifttt zimbra.&ndash;&gt;-->
<!--                        &lt;!&ndash;            </p>&ndash;&gt;-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.col &ndash;&gt;-->
<!--                    <div class="col-xs-6">-->
<!--                        <p class="lead">Amount</p>-->

<!--                        <div class="table-responsive">-->
<!--                            <table class="table">-->
<!--                                &lt;!&ndash;                <tr>&ndash;&gt;-->
<!--                                &lt;!&ndash;                  <th style="width:50%">Subtotal:</th>&ndash;&gt;-->
<!--                                &lt;!&ndash;                  <td>$250.30</td>&ndash;&gt;-->
<!--                                &lt;!&ndash;                </tr>&ndash;&gt;-->
<!--                                <tr>-->
<!--                                    <th>Infaq</th>-->
<!--                                    <td align="right" th:text="${#numbers.formatDecimal(0, 0, 'POINT', 2, 'COMMA')}">$10.34</td>-->
<!--                                </tr>-->
<!--                                <tr>-->
<!--                                    <th>Zakat</th>-->
<!--                                    <td align="right" th:text="${#numbers.formatDecimal(0, 0, 'POINT', 2, 'COMMA')}">$10.34</td>-->
<!--                                </tr>-->
<!--                                <tr>-->
<!--                                    <th>Tax</th>-->
<!--                                    <td align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}">$10.34</td>-->
<!--                                </tr>-->
<!--                                <tr>-->
<!--                                    <th>THR</th>-->
<!--                                    <td align="right" th:text="${'Rp '+ #numbers.formatDecimal(paySlip.getThrBersih(), 0, 'POINT', 2, 'COMMA')}">$265.24</td>-->
<!--                                </tr>-->
<!--                            </table>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.col &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.row &ndash;&gt;-->

<!--                &lt;!&ndash; this row will not appear when printing &ndash;&gt;-->
<!--                <div class="row no-print">-->
<!--                    <div class="col-xs-12">-->
<!--                        <form method="post" th:action="@{/thr/reports/slip/print}" target="_blank">-->
<!--                            <input type="hidden" name="employes" th:value="${employes.getId()}">-->
<!--                            <input type="hidden" name="bulan" th:value="${bulan}">-->
<!--                            <input type="hidden" name="tahun" th:value="${tahun}">-->
<!--                            <input type="submit" class="btn btn-default" value="Print">-->
<!--                        </form>-->
<!--                        &lt;!&ndash;            <a th:href="@{/payroll/reports/payslip/print(employes=${employes.getId()}, bulan=${bulan}, tahun=${tahun})}" target="_blank" class="btn btn-default"><i class="fa fa-print"></i> Print</a>&ndash;&gt;-->
<!--                        &lt;!&ndash;            <button type="button" class="btn btn-success pull-right"><i class="fa fa-credit-card"></i> Submit Payment&ndash;&gt;-->
<!--                        &lt;!&ndash;            </button>&ndash;&gt;-->
<!--                        &lt;!&ndash;            <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">&ndash;&gt;-->
<!--                        &lt;!&ndash;              <i class="fa fa-download"></i> Generate PDF&ndash;&gt;-->
<!--                        &lt;!&ndash;            </button>&ndash;&gt;-->
<!--                    </div>-->
<!--                </div>-->
<!--            </section>-->

<!--        </div>-->

<!--    </div>-->
<!--    &lt;!&ndash; nav-tabs-custom &ndash;&gt;-->
<!--    </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalLahir').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->

<!--    <script>-->
<!--        $(function () {-->
<!--            $('#example1').DataTable()-->
<!--            $('#example2').DataTable({-->
<!--                'paging'      : true,-->
<!--                'lengthChange': false,-->
<!--                'searching'   : false,-->
<!--                'ordering'    : true,-->
<!--                'info'        : true,-->
<!--                'autoWidth'   : false-->
<!--            })-->
<!--        })-->

<!--        $(function() {-->

<!--            var bla = $('#effectiveDateString').val();-->
<!--            $('#effectiveDateString').val(bla);-->

<!--        });-->

<!--        (function($){-->
<!--            $('#payrollComponent').select2();-->
<!--            $('#payrollComponent').on('select2:selecting', function(e) {-->
<!--                console.log('Selecting: ' , e.params.args.data.id);-->
<!--                $('#isiPayrollComponent').val(e.params.args.data.id);-->
<!--            });-->
<!--        })(jQuery);-->

<!--        function dtable() {-->

<!--            // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();-->
<!--            window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val();-->


<!--        }-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->
<!--</body>-->
<!--</html>-->